IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network116.167.14.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
- Network address
116.167.14.0- Broadcast address
116.167.15.255- First usable
116.167.14.1- Last usable
116.167.15.254- Usable hosts
- 510 (512 less the network and broadcast addresses)
- Subnet mask
255.255.254.0- Wildcard mask
0.0.1.255(Cisco ACLs, OSPF)- Prefix length
- /23
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
74A70E00· Integer1957105152to1957105663 - Reverse DNS zones
14.167.116.in-addr.arpa15.167.116.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01110100.10100111.00001110.00000000 | 116.167.14.0 |
| Subnet mask | 11111111.11111111.11111110.00000000 | 255.255.254.0 |
| Network | 01110100.10100111.00001110.00000000 | 116.167.14.0 |
| Broadcast | 01110100.10100111.00001111.11111111 | 116.167.15.255 |
Split into smaller subnets
116.167.14.0/23 makes 256 subnets of /31.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 116.167.14.0/31 | 116.167.14.0 to 116.167.14.1 | — | 2 |
| 2 | 116.167.14.2/31 | 116.167.14.2 to 116.167.14.3 | — | 2 |
| 3 | 116.167.14.4/31 | 116.167.14.4 to 116.167.14.5 | — | 2 |
| 4 | 116.167.14.6/31 | 116.167.14.6 to 116.167.14.7 | — | 2 |
| 5 | 116.167.14.8/31 | 116.167.14.8 to 116.167.14.9 | — | 2 |
| 6 | 116.167.14.10/31 | 116.167.14.10 to 116.167.14.11 | — | 2 |
| 7 | 116.167.14.12/31 | 116.167.14.12 to 116.167.14.13 | — | 2 |
| 8 | 116.167.14.14/31 | 116.167.14.14 to 116.167.14.15 | — | 2 |
| 9 | 116.167.14.16/31 | 116.167.14.16 to 116.167.14.17 | — | 2 |
| 10 | 116.167.14.18/31 | 116.167.14.18 to 116.167.14.19 | — | 2 |
| 11 | 116.167.14.20/31 | 116.167.14.20 to 116.167.14.21 | — | 2 |
| 12 | 116.167.14.22/31 | 116.167.14.22 to 116.167.14.23 | — | 2 |
| 13 | 116.167.14.24/31 | 116.167.14.24 to 116.167.14.25 | — | 2 |
| 14 | 116.167.14.26/31 | 116.167.14.26 to 116.167.14.27 | — | 2 |
| 15 | 116.167.14.28/31 | 116.167.14.28 to 116.167.14.29 | — | 2 |
| 16 | 116.167.14.30/31 | 116.167.14.30 to 116.167.14.31 | — | 2 |
| 17 | 116.167.14.32/31 | 116.167.14.32 to 116.167.14.33 | — | 2 |
| 18 | 116.167.14.34/31 | 116.167.14.34 to 116.167.14.35 | — | 2 |
| 19 | 116.167.14.36/31 | 116.167.14.36 to 116.167.14.37 | — | 2 |
| 20 | 116.167.14.38/31 | 116.167.14.38 to 116.167.14.39 | — | 2 |
| 21 | 116.167.14.40/31 | 116.167.14.40 to 116.167.14.41 | — | 2 |
| 22 | 116.167.14.42/31 | 116.167.14.42 to 116.167.14.43 | — | 2 |
| 23 | 116.167.14.44/31 | 116.167.14.44 to 116.167.14.45 | — | 2 |
| 24 | 116.167.14.46/31 | 116.167.14.46 to 116.167.14.47 | — | 2 |
| 25 | 116.167.14.48/31 | 116.167.14.48 to 116.167.14.49 | — | 2 |
| 26 | 116.167.14.50/31 | 116.167.14.50 to 116.167.14.51 | — | 2 |
| 27 | 116.167.14.52/31 | 116.167.14.52 to 116.167.14.53 | — | 2 |
| 28 | 116.167.14.54/31 | 116.167.14.54 to 116.167.14.55 | — | 2 |
| 29 | 116.167.14.56/31 | 116.167.14.56 to 116.167.14.57 | — | 2 |
| 30 | 116.167.14.58/31 | 116.167.14.58 to 116.167.14.59 | — | 2 |
| 31 | 116.167.14.60/31 | 116.167.14.60 to 116.167.14.61 | — | 2 |
| 32 | 116.167.14.62/31 | 116.167.14.62 to 116.167.14.63 | — | 2 |
| 33 | 116.167.14.64/31 | 116.167.14.64 to 116.167.14.65 | — | 2 |
| 34 | 116.167.14.66/31 | 116.167.14.66 to 116.167.14.67 | — | 2 |
| 35 | 116.167.14.68/31 | 116.167.14.68 to 116.167.14.69 | — | 2 |
| 36 | 116.167.14.70/31 | 116.167.14.70 to 116.167.14.71 | — | 2 |
| 37 | 116.167.14.72/31 | 116.167.14.72 to 116.167.14.73 | — | 2 |
| 38 | 116.167.14.74/31 | 116.167.14.74 to 116.167.14.75 | — | 2 |
| 39 | 116.167.14.76/31 | 116.167.14.76 to 116.167.14.77 | — | 2 |
| 40 | 116.167.14.78/31 | 116.167.14.78 to 116.167.14.79 | — | 2 |
| 41 | 116.167.14.80/31 | 116.167.14.80 to 116.167.14.81 | — | 2 |
| 42 | 116.167.14.82/31 | 116.167.14.82 to 116.167.14.83 | — | 2 |
| 43 | 116.167.14.84/31 | 116.167.14.84 to 116.167.14.85 | — | 2 |
| 44 | 116.167.14.86/31 | 116.167.14.86 to 116.167.14.87 | — | 2 |
| 45 | 116.167.14.88/31 | 116.167.14.88 to 116.167.14.89 | — | 2 |
| 46 | 116.167.14.90/31 | 116.167.14.90 to 116.167.14.91 | — | 2 |
| 47 | 116.167.14.92/31 | 116.167.14.92 to 116.167.14.93 | — | 2 |
| 48 | 116.167.14.94/31 | 116.167.14.94 to 116.167.14.95 | — | 2 |
| 49 | 116.167.14.96/31 | 116.167.14.96 to 116.167.14.97 | — | 2 |
| 50 | 116.167.14.98/31 | 116.167.14.98 to 116.167.14.99 | — | 2 |
| 51 | 116.167.14.100/31 | 116.167.14.100 to 116.167.14.101 | — | 2 |
| 52 | 116.167.14.102/31 | 116.167.14.102 to 116.167.14.103 | — | 2 |
| 53 | 116.167.14.104/31 | 116.167.14.104 to 116.167.14.105 | — | 2 |
| 54 | 116.167.14.106/31 | 116.167.14.106 to 116.167.14.107 | — | 2 |
| 55 | 116.167.14.108/31 | 116.167.14.108 to 116.167.14.109 | — | 2 |
| 56 | 116.167.14.110/31 | 116.167.14.110 to 116.167.14.111 | — | 2 |
| 57 | 116.167.14.112/31 | 116.167.14.112 to 116.167.14.113 | — | 2 |
| 58 | 116.167.14.114/31 | 116.167.14.114 to 116.167.14.115 | — | 2 |
| 59 | 116.167.14.116/31 | 116.167.14.116 to 116.167.14.117 | — | 2 |
| 60 | 116.167.14.118/31 | 116.167.14.118 to 116.167.14.119 | — | 2 |
| 61 | 116.167.14.120/31 | 116.167.14.120 to 116.167.14.121 | — | 2 |
| 62 | 116.167.14.122/31 | 116.167.14.122 to 116.167.14.123 | — | 2 |
| 63 | 116.167.14.124/31 | 116.167.14.124 to 116.167.14.125 | — | 2 |
| 64 | 116.167.14.126/31 | 116.167.14.126 to 116.167.14.127 | — | 2 |
| 65 | 116.167.14.128/31 | 116.167.14.128 to 116.167.14.129 | — | 2 |
| 66 | 116.167.14.130/31 | 116.167.14.130 to 116.167.14.131 | — | 2 |
| 67 | 116.167.14.132/31 | 116.167.14.132 to 116.167.14.133 | — | 2 |
| 68 | 116.167.14.134/31 | 116.167.14.134 to 116.167.14.135 | — | 2 |
| 69 | 116.167.14.136/31 | 116.167.14.136 to 116.167.14.137 | — | 2 |
| 70 | 116.167.14.138/31 | 116.167.14.138 to 116.167.14.139 | — | 2 |
| 71 | 116.167.14.140/31 | 116.167.14.140 to 116.167.14.141 | — | 2 |
| 72 | 116.167.14.142/31 | 116.167.14.142 to 116.167.14.143 | — | 2 |
| 73 | 116.167.14.144/31 | 116.167.14.144 to 116.167.14.145 | — | 2 |
| 74 | 116.167.14.146/31 | 116.167.14.146 to 116.167.14.147 | — | 2 |
| 75 | 116.167.14.148/31 | 116.167.14.148 to 116.167.14.149 | — | 2 |
| 76 | 116.167.14.150/31 | 116.167.14.150 to 116.167.14.151 | — | 2 |
| 77 | 116.167.14.152/31 | 116.167.14.152 to 116.167.14.153 | — | 2 |
| 78 | 116.167.14.154/31 | 116.167.14.154 to 116.167.14.155 | — | 2 |
| 79 | 116.167.14.156/31 | 116.167.14.156 to 116.167.14.157 | — | 2 |
| 80 | 116.167.14.158/31 | 116.167.14.158 to 116.167.14.159 | — | 2 |
| 81 | 116.167.14.160/31 | 116.167.14.160 to 116.167.14.161 | — | 2 |
| 82 | 116.167.14.162/31 | 116.167.14.162 to 116.167.14.163 | — | 2 |
| 83 | 116.167.14.164/31 | 116.167.14.164 to 116.167.14.165 | — | 2 |
| 84 | 116.167.14.166/31 | 116.167.14.166 to 116.167.14.167 | — | 2 |
| 85 | 116.167.14.168/31 | 116.167.14.168 to 116.167.14.169 | — | 2 |
| 86 | 116.167.14.170/31 | 116.167.14.170 to 116.167.14.171 | — | 2 |
| 87 | 116.167.14.172/31 | 116.167.14.172 to 116.167.14.173 | — | 2 |
| 88 | 116.167.14.174/31 | 116.167.14.174 to 116.167.14.175 | — | 2 |
| 89 | 116.167.14.176/31 | 116.167.14.176 to 116.167.14.177 | — | 2 |
| 90 | 116.167.14.178/31 | 116.167.14.178 to 116.167.14.179 | — | 2 |
| 91 | 116.167.14.180/31 | 116.167.14.180 to 116.167.14.181 | — | 2 |
| 92 | 116.167.14.182/31 | 116.167.14.182 to 116.167.14.183 | — | 2 |
| 93 | 116.167.14.184/31 | 116.167.14.184 to 116.167.14.185 | — | 2 |
| 94 | 116.167.14.186/31 | 116.167.14.186 to 116.167.14.187 | — | 2 |
| 95 | 116.167.14.188/31 | 116.167.14.188 to 116.167.14.189 | — | 2 |
| 96 | 116.167.14.190/31 | 116.167.14.190 to 116.167.14.191 | — | 2 |
| 97 | 116.167.14.192/31 | 116.167.14.192 to 116.167.14.193 | — | 2 |
| 98 | 116.167.14.194/31 | 116.167.14.194 to 116.167.14.195 | — | 2 |
| 99 | 116.167.14.196/31 | 116.167.14.196 to 116.167.14.197 | — | 2 |
| 100 | 116.167.14.198/31 | 116.167.14.198 to 116.167.14.199 | — | 2 |
| 101 | 116.167.14.200/31 | 116.167.14.200 to 116.167.14.201 | — | 2 |
| 102 | 116.167.14.202/31 | 116.167.14.202 to 116.167.14.203 | — | 2 |
| 103 | 116.167.14.204/31 | 116.167.14.204 to 116.167.14.205 | — | 2 |
| 104 | 116.167.14.206/31 | 116.167.14.206 to 116.167.14.207 | — | 2 |
| 105 | 116.167.14.208/31 | 116.167.14.208 to 116.167.14.209 | — | 2 |
| 106 | 116.167.14.210/31 | 116.167.14.210 to 116.167.14.211 | — | 2 |
| 107 | 116.167.14.212/31 | 116.167.14.212 to 116.167.14.213 | — | 2 |
| 108 | 116.167.14.214/31 | 116.167.14.214 to 116.167.14.215 | — | 2 |
| 109 | 116.167.14.216/31 | 116.167.14.216 to 116.167.14.217 | — | 2 |
| 110 | 116.167.14.218/31 | 116.167.14.218 to 116.167.14.219 | — | 2 |
| 111 | 116.167.14.220/31 | 116.167.14.220 to 116.167.14.221 | — | 2 |
| 112 | 116.167.14.222/31 | 116.167.14.222 to 116.167.14.223 | — | 2 |
| 113 | 116.167.14.224/31 | 116.167.14.224 to 116.167.14.225 | — | 2 |
| 114 | 116.167.14.226/31 | 116.167.14.226 to 116.167.14.227 | — | 2 |
| 115 | 116.167.14.228/31 | 116.167.14.228 to 116.167.14.229 | — | 2 |
| 116 | 116.167.14.230/31 | 116.167.14.230 to 116.167.14.231 | — | 2 |
| 117 | 116.167.14.232/31 | 116.167.14.232 to 116.167.14.233 | — | 2 |
| 118 | 116.167.14.234/31 | 116.167.14.234 to 116.167.14.235 | — | 2 |
| 119 | 116.167.14.236/31 | 116.167.14.236 to 116.167.14.237 | — | 2 |
| 120 | 116.167.14.238/31 | 116.167.14.238 to 116.167.14.239 | — | 2 |
| 121 | 116.167.14.240/31 | 116.167.14.240 to 116.167.14.241 | — | 2 |
| 122 | 116.167.14.242/31 | 116.167.14.242 to 116.167.14.243 | — | 2 |
| 123 | 116.167.14.244/31 | 116.167.14.244 to 116.167.14.245 | — | 2 |
| 124 | 116.167.14.246/31 | 116.167.14.246 to 116.167.14.247 | — | 2 |
| 125 | 116.167.14.248/31 | 116.167.14.248 to 116.167.14.249 | — | 2 |
| 126 | 116.167.14.250/31 | 116.167.14.250 to 116.167.14.251 | — | 2 |
| 127 | 116.167.14.252/31 | 116.167.14.252 to 116.167.14.253 | — | 2 |
| 128 | 116.167.14.254/31 | 116.167.14.254 to 116.167.14.255 | — | 2 |
| 129 | 116.167.15.0/31 | 116.167.15.0 to 116.167.15.1 | — | 2 |
| 130 | 116.167.15.2/31 | 116.167.15.2 to 116.167.15.3 | — | 2 |
| 131 | 116.167.15.4/31 | 116.167.15.4 to 116.167.15.5 | — | 2 |
| 132 | 116.167.15.6/31 | 116.167.15.6 to 116.167.15.7 | — | 2 |
| 133 | 116.167.15.8/31 | 116.167.15.8 to 116.167.15.9 | — | 2 |
| 134 | 116.167.15.10/31 | 116.167.15.10 to 116.167.15.11 | — | 2 |
| 135 | 116.167.15.12/31 | 116.167.15.12 to 116.167.15.13 | — | 2 |
| 136 | 116.167.15.14/31 | 116.167.15.14 to 116.167.15.15 | — | 2 |
| 137 | 116.167.15.16/31 | 116.167.15.16 to 116.167.15.17 | — | 2 |
| 138 | 116.167.15.18/31 | 116.167.15.18 to 116.167.15.19 | — | 2 |
| 139 | 116.167.15.20/31 | 116.167.15.20 to 116.167.15.21 | — | 2 |
| 140 | 116.167.15.22/31 | 116.167.15.22 to 116.167.15.23 | — | 2 |
| 141 | 116.167.15.24/31 | 116.167.15.24 to 116.167.15.25 | — | 2 |
| 142 | 116.167.15.26/31 | 116.167.15.26 to 116.167.15.27 | — | 2 |
| 143 | 116.167.15.28/31 | 116.167.15.28 to 116.167.15.29 | — | 2 |
| 144 | 116.167.15.30/31 | 116.167.15.30 to 116.167.15.31 | — | 2 |
| 145 | 116.167.15.32/31 | 116.167.15.32 to 116.167.15.33 | — | 2 |
| 146 | 116.167.15.34/31 | 116.167.15.34 to 116.167.15.35 | — | 2 |
| 147 | 116.167.15.36/31 | 116.167.15.36 to 116.167.15.37 | — | 2 |
| 148 | 116.167.15.38/31 | 116.167.15.38 to 116.167.15.39 | — | 2 |
| 149 | 116.167.15.40/31 | 116.167.15.40 to 116.167.15.41 | — | 2 |
| 150 | 116.167.15.42/31 | 116.167.15.42 to 116.167.15.43 | — | 2 |
| 151 | 116.167.15.44/31 | 116.167.15.44 to 116.167.15.45 | — | 2 |
| 152 | 116.167.15.46/31 | 116.167.15.46 to 116.167.15.47 | — | 2 |
| 153 | 116.167.15.48/31 | 116.167.15.48 to 116.167.15.49 | — | 2 |
| 154 | 116.167.15.50/31 | 116.167.15.50 to 116.167.15.51 | — | 2 |
| 155 | 116.167.15.52/31 | 116.167.15.52 to 116.167.15.53 | — | 2 |
| 156 | 116.167.15.54/31 | 116.167.15.54 to 116.167.15.55 | — | 2 |
| 157 | 116.167.15.56/31 | 116.167.15.56 to 116.167.15.57 | — | 2 |
| 158 | 116.167.15.58/31 | 116.167.15.58 to 116.167.15.59 | — | 2 |
| 159 | 116.167.15.60/31 | 116.167.15.60 to 116.167.15.61 | — | 2 |
| 160 | 116.167.15.62/31 | 116.167.15.62 to 116.167.15.63 | — | 2 |
| 161 | 116.167.15.64/31 | 116.167.15.64 to 116.167.15.65 | — | 2 |
| 162 | 116.167.15.66/31 | 116.167.15.66 to 116.167.15.67 | — | 2 |
| 163 | 116.167.15.68/31 | 116.167.15.68 to 116.167.15.69 | — | 2 |
| 164 | 116.167.15.70/31 | 116.167.15.70 to 116.167.15.71 | — | 2 |
| 165 | 116.167.15.72/31 | 116.167.15.72 to 116.167.15.73 | — | 2 |
| 166 | 116.167.15.74/31 | 116.167.15.74 to 116.167.15.75 | — | 2 |
| 167 | 116.167.15.76/31 | 116.167.15.76 to 116.167.15.77 | — | 2 |
| 168 | 116.167.15.78/31 | 116.167.15.78 to 116.167.15.79 | — | 2 |
| 169 | 116.167.15.80/31 | 116.167.15.80 to 116.167.15.81 | — | 2 |
| 170 | 116.167.15.82/31 | 116.167.15.82 to 116.167.15.83 | — | 2 |
| 171 | 116.167.15.84/31 | 116.167.15.84 to 116.167.15.85 | — | 2 |
| 172 | 116.167.15.86/31 | 116.167.15.86 to 116.167.15.87 | — | 2 |
| 173 | 116.167.15.88/31 | 116.167.15.88 to 116.167.15.89 | — | 2 |
| 174 | 116.167.15.90/31 | 116.167.15.90 to 116.167.15.91 | — | 2 |
| 175 | 116.167.15.92/31 | 116.167.15.92 to 116.167.15.93 | — | 2 |
| 176 | 116.167.15.94/31 | 116.167.15.94 to 116.167.15.95 | — | 2 |
| 177 | 116.167.15.96/31 | 116.167.15.96 to 116.167.15.97 | — | 2 |
| 178 | 116.167.15.98/31 | 116.167.15.98 to 116.167.15.99 | — | 2 |
| 179 | 116.167.15.100/31 | 116.167.15.100 to 116.167.15.101 | — | 2 |
| 180 | 116.167.15.102/31 | 116.167.15.102 to 116.167.15.103 | — | 2 |
| 181 | 116.167.15.104/31 | 116.167.15.104 to 116.167.15.105 | — | 2 |
| 182 | 116.167.15.106/31 | 116.167.15.106 to 116.167.15.107 | — | 2 |
| 183 | 116.167.15.108/31 | 116.167.15.108 to 116.167.15.109 | — | 2 |
| 184 | 116.167.15.110/31 | 116.167.15.110 to 116.167.15.111 | — | 2 |
| 185 | 116.167.15.112/31 | 116.167.15.112 to 116.167.15.113 | — | 2 |
| 186 | 116.167.15.114/31 | 116.167.15.114 to 116.167.15.115 | — | 2 |
| 187 | 116.167.15.116/31 | 116.167.15.116 to 116.167.15.117 | — | 2 |
| 188 | 116.167.15.118/31 | 116.167.15.118 to 116.167.15.119 | — | 2 |
| 189 | 116.167.15.120/31 | 116.167.15.120 to 116.167.15.121 | — | 2 |
| 190 | 116.167.15.122/31 | 116.167.15.122 to 116.167.15.123 | — | 2 |
| 191 | 116.167.15.124/31 | 116.167.15.124 to 116.167.15.125 | — | 2 |
| 192 | 116.167.15.126/31 | 116.167.15.126 to 116.167.15.127 | — | 2 |
| 193 | 116.167.15.128/31 | 116.167.15.128 to 116.167.15.129 | — | 2 |
| 194 | 116.167.15.130/31 | 116.167.15.130 to 116.167.15.131 | — | 2 |
| 195 | 116.167.15.132/31 | 116.167.15.132 to 116.167.15.133 | — | 2 |
| 196 | 116.167.15.134/31 | 116.167.15.134 to 116.167.15.135 | — | 2 |
| 197 | 116.167.15.136/31 | 116.167.15.136 to 116.167.15.137 | — | 2 |
| 198 | 116.167.15.138/31 | 116.167.15.138 to 116.167.15.139 | — | 2 |
| 199 | 116.167.15.140/31 | 116.167.15.140 to 116.167.15.141 | — | 2 |
| 200 | 116.167.15.142/31 | 116.167.15.142 to 116.167.15.143 | — | 2 |
| 201 | 116.167.15.144/31 | 116.167.15.144 to 116.167.15.145 | — | 2 |
| 202 | 116.167.15.146/31 | 116.167.15.146 to 116.167.15.147 | — | 2 |
| 203 | 116.167.15.148/31 | 116.167.15.148 to 116.167.15.149 | — | 2 |
| 204 | 116.167.15.150/31 | 116.167.15.150 to 116.167.15.151 | — | 2 |
| 205 | 116.167.15.152/31 | 116.167.15.152 to 116.167.15.153 | — | 2 |
| 206 | 116.167.15.154/31 | 116.167.15.154 to 116.167.15.155 | — | 2 |
| 207 | 116.167.15.156/31 | 116.167.15.156 to 116.167.15.157 | — | 2 |
| 208 | 116.167.15.158/31 | 116.167.15.158 to 116.167.15.159 | — | 2 |
| 209 | 116.167.15.160/31 | 116.167.15.160 to 116.167.15.161 | — | 2 |
| 210 | 116.167.15.162/31 | 116.167.15.162 to 116.167.15.163 | — | 2 |
| 211 | 116.167.15.164/31 | 116.167.15.164 to 116.167.15.165 | — | 2 |
| 212 | 116.167.15.166/31 | 116.167.15.166 to 116.167.15.167 | — | 2 |
| 213 | 116.167.15.168/31 | 116.167.15.168 to 116.167.15.169 | — | 2 |
| 214 | 116.167.15.170/31 | 116.167.15.170 to 116.167.15.171 | — | 2 |
| 215 | 116.167.15.172/31 | 116.167.15.172 to 116.167.15.173 | — | 2 |
| 216 | 116.167.15.174/31 | 116.167.15.174 to 116.167.15.175 | — | 2 |
| 217 | 116.167.15.176/31 | 116.167.15.176 to 116.167.15.177 | — | 2 |
| 218 | 116.167.15.178/31 | 116.167.15.178 to 116.167.15.179 | — | 2 |
| 219 | 116.167.15.180/31 | 116.167.15.180 to 116.167.15.181 | — | 2 |
| 220 | 116.167.15.182/31 | 116.167.15.182 to 116.167.15.183 | — | 2 |
| 221 | 116.167.15.184/31 | 116.167.15.184 to 116.167.15.185 | — | 2 |
| 222 | 116.167.15.186/31 | 116.167.15.186 to 116.167.15.187 | — | 2 |
| 223 | 116.167.15.188/31 | 116.167.15.188 to 116.167.15.189 | — | 2 |
| 224 | 116.167.15.190/31 | 116.167.15.190 to 116.167.15.191 | — | 2 |
| 225 | 116.167.15.192/31 | 116.167.15.192 to 116.167.15.193 | — | 2 |
| 226 | 116.167.15.194/31 | 116.167.15.194 to 116.167.15.195 | — | 2 |
| 227 | 116.167.15.196/31 | 116.167.15.196 to 116.167.15.197 | — | 2 |
| 228 | 116.167.15.198/31 | 116.167.15.198 to 116.167.15.199 | — | 2 |
| 229 | 116.167.15.200/31 | 116.167.15.200 to 116.167.15.201 | — | 2 |
| 230 | 116.167.15.202/31 | 116.167.15.202 to 116.167.15.203 | — | 2 |
| 231 | 116.167.15.204/31 | 116.167.15.204 to 116.167.15.205 | — | 2 |
| 232 | 116.167.15.206/31 | 116.167.15.206 to 116.167.15.207 | — | 2 |
| 233 | 116.167.15.208/31 | 116.167.15.208 to 116.167.15.209 | — | 2 |
| 234 | 116.167.15.210/31 | 116.167.15.210 to 116.167.15.211 | — | 2 |
| 235 | 116.167.15.212/31 | 116.167.15.212 to 116.167.15.213 | — | 2 |
| 236 | 116.167.15.214/31 | 116.167.15.214 to 116.167.15.215 | — | 2 |
| 237 | 116.167.15.216/31 | 116.167.15.216 to 116.167.15.217 | — | 2 |
| 238 | 116.167.15.218/31 | 116.167.15.218 to 116.167.15.219 | — | 2 |
| 239 | 116.167.15.220/31 | 116.167.15.220 to 116.167.15.221 | — | 2 |
| 240 | 116.167.15.222/31 | 116.167.15.222 to 116.167.15.223 | — | 2 |
| 241 | 116.167.15.224/31 | 116.167.15.224 to 116.167.15.225 | — | 2 |
| 242 | 116.167.15.226/31 | 116.167.15.226 to 116.167.15.227 | — | 2 |
| 243 | 116.167.15.228/31 | 116.167.15.228 to 116.167.15.229 | — | 2 |
| 244 | 116.167.15.230/31 | 116.167.15.230 to 116.167.15.231 | — | 2 |
| 245 | 116.167.15.232/31 | 116.167.15.232 to 116.167.15.233 | — | 2 |
| 246 | 116.167.15.234/31 | 116.167.15.234 to 116.167.15.235 | — | 2 |
| 247 | 116.167.15.236/31 | 116.167.15.236 to 116.167.15.237 | — | 2 |
| 248 | 116.167.15.238/31 | 116.167.15.238 to 116.167.15.239 | — | 2 |
| 249 | 116.167.15.240/31 | 116.167.15.240 to 116.167.15.241 | — | 2 |
| 250 | 116.167.15.242/31 | 116.167.15.242 to 116.167.15.243 | — | 2 |
| 251 | 116.167.15.244/31 | 116.167.15.244 to 116.167.15.245 | — | 2 |
| 252 | 116.167.15.246/31 | 116.167.15.246 to 116.167.15.247 | — | 2 |
| 253 | 116.167.15.248/31 | 116.167.15.248 to 116.167.15.249 | — | 2 |
| 254 | 116.167.15.250/31 | 116.167.15.250 to 116.167.15.251 | — | 2 |
| 255 | 116.167.15.252/31 | 116.167.15.252 to 116.167.15.253 | — | 2 |
| 256 | 116.167.15.254/31 | 116.167.15.254 to 116.167.15.255 | — | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |